com.gen2wave.rp1600.sdk.msrocr

## Class MSROCR

- java.lang.Object
- - com.gen2wave.rp1600.sdk.msrocr.MSROCR

-     public class MSROCR
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXTRA_EID10_ATTDET_ACTION` Action to EID10 Attach and Detach
    `static java.lang.String` | `EXTRA_FINGER_DATA_ENROLL_ACTION` Action to EID10 FINGER Printer Enroll
    `static java.lang.String` | `EXTRA_FINGER_DATA_SEARCH_ACTION` Action to EID10 FINGER Printer Search
    `static java.lang.String` | `EXTRA_FINGER_ENROLL_RESULT` EID10 FINGER Printer Enroll Result
    `static java.lang.String` | `EXTRA_FINGER_ID_VALUE` EID10 FINGER Printer ID value
    `static java.lang.String` | `EXTRA_FINGER_SEARCH_RESULT` EID10 FINGER Printer Search Result
    `static java.lang.String` | `EXTRA_MSROCR_DATA_ACTION` Action to EID10 MSR OCR DATA
    `static java.lang.String` | `EXTRA_MSROCR_DATA_LENGTH` EID10 MSR OCR DATA length
    `static java.lang.String` | `EXTRA_MSROCR_DATA_VALUE` EID10 MSR OCR DATA value
    `static java.lang.String` | `EXTRA_MSROCR_READ_RESULT` EID10 MSROCR Read Result
    `static java.lang.String` | `EXTRA_MSROCR_TYPE` EID10 MSR OCR DATA TYPE
    `static int` | `EXTRA_MSROCR_TYPE_AVR`
    `static int` | `EXTRA_MSROCR_TYPE_MSR`
    `static int` | `EXTRA_MSROCR_TYPE_OCR`
    `static java.lang.String` | `EXTRA_MSRTRACKDATA_1` EID10 MSR TRACKDATA1
    `static java.lang.String` | `EXTRA_MSRTRACKDATA_2` EID10 MSR TRACKDATA2
    `static java.lang.String` | `EXTRA_MSRTRACKDATA_3` EID10 MSR TRACKDATA3
    `static java.lang.String` | `EXTRA_MSRTRACKLEN_1` EID10 MSR TRACKDATA1 LENGTH
    `static java.lang.String` | `EXTRA_MSRTRACKLEN_2` EID10 MSR TRACKDATA2 LENGTH
    `static java.lang.String` | `EXTRA_MSRTRACKLEN_3` EID10 MSR TRACKDATA3 LENGTH
    `static java.lang.String` | `EXTRA_OCRDATA` EID10 OCR DATA
    `static int` | `KEYCODE_SCAN`
    `static int` | `MSROCR_OPEN_FAIL`
    `static int` | `MSROCR_OPEN_SUCCESS`
    `static int` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSROCR()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final int VERSION

      See Also:
        Constant Field Values

    - #### KEYCODE_SCAN

          public static final int KEYCODE_SCAN

      See Also:
        Constant Field Values

    - #### MSROCR_OPEN_SUCCESS

          public static final int MSROCR_OPEN_SUCCESS

      See Also:
        Constant Field Values

    - #### MSROCR_OPEN_FAIL

          public static final int MSROCR_OPEN_FAIL

      See Also:
        Constant Field Values

    - #### EXTRA_EID10_ATTDET_ACTION

          public static final java.lang.String EXTRA_EID10_ATTDET_ACTION

      Action to EID10 Attach and Detach
      See Also:
        Constant Field Values

    - #### EXTRA_FINGER_DATA_SEARCH_ACTION

          public static final java.lang.String EXTRA_FINGER_DATA_SEARCH_ACTION

      Action to EID10 FINGER Printer Search
      See Also:
        Constant Field Values

    - #### EXTRA_FINGER_DATA_ENROLL_ACTION

          public static final java.lang.String EXTRA_FINGER_DATA_ENROLL_ACTION

      Action to EID10 FINGER Printer Enroll
      See Also:
        Constant Field Values

    - #### EXTRA_FINGER_ID_VALUE

          public static final java.lang.String EXTRA_FINGER_ID_VALUE

      EID10 FINGER Printer ID value
      See Also:
        Constant Field Values

    - #### EXTRA_FINGER_SEARCH_RESULT

          public static final java.lang.String EXTRA_FINGER_SEARCH_RESULT

      EID10 FINGER Printer Search Result
      See Also:
        Constant Field Values

    - #### EXTRA_FINGER_ENROLL_RESULT

          public static final java.lang.String EXTRA_FINGER_ENROLL_RESULT

      EID10 FINGER Printer Enroll Result
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_DATA_ACTION

          public static final java.lang.String EXTRA_MSROCR_DATA_ACTION

      Action to EID10 MSR OCR DATA
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_DATA_VALUE

          public static final java.lang.String EXTRA_MSROCR_DATA_VALUE

      EID10 MSR OCR DATA value
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_DATA_LENGTH

          public static final java.lang.String EXTRA_MSROCR_DATA_LENGTH

      EID10 MSR OCR DATA length
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_TYPE

          public static final java.lang.String EXTRA_MSROCR_TYPE

      EID10 MSR OCR DATA TYPE
      See Also:
        Constant Field Values

    - #### EXTRA_OCRDATA

          public static final java.lang.String EXTRA_OCRDATA

      EID10 OCR DATA
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_READ_RESULT

          public static final java.lang.String EXTRA_MSROCR_READ_RESULT

      EID10 MSROCR Read Result
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKDATA_1

          public static final java.lang.String EXTRA_MSRTRACKDATA_1

      EID10 MSR TRACKDATA1
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKDATA_2

          public static final java.lang.String EXTRA_MSRTRACKDATA_2

      EID10 MSR TRACKDATA2
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKDATA_3

          public static final java.lang.String EXTRA_MSRTRACKDATA_3

      EID10 MSR TRACKDATA3
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKLEN_1

          public static final java.lang.String EXTRA_MSRTRACKLEN_1

      EID10 MSR TRACKDATA1 LENGTH
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKLEN_2

          public static final java.lang.String EXTRA_MSRTRACKLEN_2

      EID10 MSR TRACKDATA2 LENGTH
      See Also:
        Constant Field Values

    - #### EXTRA_MSRTRACKLEN_3

          public static final java.lang.String EXTRA_MSRTRACKLEN_3

      EID10 MSR TRACKDATA3 LENGTH
      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_TYPE_MSR

          public static final int EXTRA_MSROCR_TYPE_MSR

      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_TYPE_OCR

          public static final int EXTRA_MSROCR_TYPE_OCR

      See Also:
        Constant Field Values

    - #### EXTRA_MSROCR_TYPE_AVR

          public static final int EXTRA_MSROCR_TYPE_AVR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MSROCR

          public MSROCR()